Package org.apache.commons.io.input

# Class TailerListenerAdapter

java.lang.Object
org.apache.commons.io.input.TailerListenerAdapter

All Implemented Interfaces:
  `TailerListener`

public class TailerListenerAdapter extends Object implements TailerListener
`TailerListener` Adapter.

Since:
  2.0

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TailerListenerAdapter()`
  Constructs a new instance.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `endOfFileReached()`
  Called each time the Tailer reaches the end of the file.
  `void`
  `fileNotFound()`
  This method is called if the tailed file is not found.
  `void`
  `fileRotated()`
  Called if a file rotation is detected.
  `void`
  `handle(Exception ex)`
  Handles an Exception.
  `void`
  `handle(String line)`
  Handles a line from a Tailer.
  `void`
  `init(Tailer tailer)`
  The tailer will call this method during construction, giving the listener a method of stopping the tailer.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### TailerListenerAdapter

    public TailerListenerAdapter()
    Constructs a new instance.

- ## Method Details

  - ### endOfFileReached

    public void endOfFileReached()
    Called each time the Tailer reaches the end of the file. Note: this is called from the tailer thread. Note: a future version of commons-io will pull this method up to the TailerListener interface, for now clients must subclass this class to use this feature.
    Since:
      2.5

  - ### fileNotFound

    public void fileNotFound()
    This method is called if the tailed file is not found.
    Specified by:
      `fileNotFound` in interface `TailerListener`

  - ### fileRotated

    public void fileRotated()
    Called if a file rotation is detected. This method is called before the file is reopened, and fileNotFound may be called if the new file has not yet been created.
    Specified by:
      `fileRotated` in interface `TailerListener`

  - ### handle

    public void handle(Exception ex)
    Handles an Exception.
    Specified by:
      `handle` in interface `TailerListener`
    Parameters:
      `ex` - the exception.

  - ### handle

    public void handle(String line)
    Handles a line from a Tailer.
    Specified by:
      `handle` in interface `TailerListener`
    Parameters:
      `line` - the line.

  - ### init

    public void init(Tailer tailer)
    The tailer will call this method during construction, giving the listener a method of stopping the tailer.
    Specified by:
      `init` in interface `TailerListener`
    Parameters:
      `tailer` - the tailer.